#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin>>n;
    int p=0;
    if(n>1000) p=10000000;
    int prvi=0,drugi;
    for(int i=0;i<n;i++)
    {
        cin>>drugi;
    }
    int q,o=0;
    cin>>q;
    int odg[10];
    for(int i=0;i<q;i++)
    {
        int x,y;
        cin>>x>>y;
    }
    cout<<odg[p];
    return 0;
}